package com.ruoyi.model.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.IndexconfigMapper;
import com.ruoyi.model.domain.Indexconfig;
import com.ruoyi.model.service.IIndexconfigService;

/**
 * 主页工作台配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
@Service
public class IndexconfigServiceImpl implements IIndexconfigService 
{
    @Autowired
    private IndexconfigMapper indexconfigMapper;

    /**
     * 查询主页工作台配置
     * 
     * @param id 主页工作台配置主键
     * @return 主页工作台配置
     */
    @Override
    public Indexconfig selectIndexconfigById(Long id)
    {
        return indexconfigMapper.selectIndexconfigById(id);
    }

    /**
     * 查询主页工作台配置列表
     * 
     * @param indexconfig 主页工作台配置
     * @return 主页工作台配置
     */
    @Override
    public List<Indexconfig> selectIndexconfigList(Indexconfig indexconfig)
    {
        return indexconfigMapper.selectIndexconfigList(indexconfig);
    }

    /**
     * 新增主页工作台配置
     * 
     * @param indexconfig 主页工作台配置
     * @return 结果
     */
    @Override
    public int insertIndexconfig(Indexconfig indexconfig)
    {
        indexconfig.setCreateTime(DateUtils.getNowDate());
        return indexconfigMapper.insertIndexconfig(indexconfig);
    }

    /**
     * 修改主页工作台配置
     * 
     * @param indexconfig 主页工作台配置
     * @return 结果
     */
    @Override
    public int updateIndexconfig(Indexconfig indexconfig)
    {
        indexconfig.setUpdateTime(DateUtils.getNowDate());
        return indexconfigMapper.updateIndexconfig(indexconfig);
    }

    /**
     * 批量删除主页工作台配置
     * 
     * @param ids 需要删除的主页工作台配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexconfigByIds(Long[] ids)
    {
        return indexconfigMapper.deleteIndexconfigByIds(ids);
    }

    /**
     * 删除主页工作台配置信息
     * 
     * @param id 主页工作台配置主键
     * @return 结果
     */
    @Override
    public int deleteIndexconfigById(Long id)
    {
        return indexconfigMapper.deleteIndexconfigById(id);
    }

    @Override
    public List<Indexconfig> getIndexconfigList(Long indexType){
        return indexconfigMapper.getIndexconfigList(indexType);
    }


}
